summaryrefslogtreecommitdiffstats
path: root/network/hiawatha/hiawatha.SlackBuild
diff options
context:
space:
mode:
author Antonio Hernández Blas <hba.nihilismus@gmail.com>2010-05-10 20:01:24 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-05-16 22:24:19 -0500
commit0e67775be37eac1b25b0c434f84512809758f548 (patch)
tree2625f327594cdc1301985d611da4c0508b9b085b /network/hiawatha/hiawatha.SlackBuild
parent71837fc2c1f48e705a908713782ea2d4104411b8 (diff)
downloadslackbuilds-0e67775be37eac1b25b0c434f84512809758f548.tar.gz
slackbuilds-0e67775be37eac1b25b0c434f84512809758f548.tar.xz
network/hiawatha: Updated for version 7.2.
Diffstat (limited to 'network/hiawatha/hiawatha.SlackBuild')
-rw-r--r--network/hiawatha/hiawatha.SlackBuild16
1 files changed, 7 insertions, 9 deletions
diff --git a/network/hiawatha/hiawatha.SlackBuild b/network/hiawatha/hiawatha.SlackBuild
index cdf5329d7e..711502d386 100644
--- a/network/hiawatha/hiawatha.SlackBuild
+++ b/network/hiawatha/hiawatha.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for hiawatha
-# Copyright (c) 2009, Antonio Hernández Blas <hba.nihilismus@gmail.com>
+# Copyright (c) 2009-2010, Antonio Hernández Blas <hba.nihilismus@gmail.com>
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
@@ -22,7 +22,7 @@
# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=hiawatha
-VERSION=${VERSION:-6.19}
+VERSION=${VERSION:-7.2}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -69,7 +69,9 @@ CXXFLAGS="$SLKCFLAGS" \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--build=$ARCH-slackware-linux \
--enable-command \
- --enable-xslt
+ --enable-xslt \
+ --enable-chroot \
+ --enable-command
make
make install DESTDIR=$PKG
@@ -79,12 +81,8 @@ mkdir -p $PKG/etc/rc.d/
install -m 0644 $CWD/rc.$PRGNAM $PKG/etc/rc.d/rc.$PRGNAM
install -m 0644 $CWD/rc.php-fcgi $PKG/etc/rc.d/rc.php-fcgi
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
if [ -d $PKG/usr/man ]; then
( cd $PKG/usr/man